1 Website Issue, 1 Game Issue.

  • Posts: 3
5 years 5 months ago #1 by imarceldoe
Well; on the website you can't select between pages on the page where you view all the topics (Categories).
I'm using Google Chrome and it doesn't seem to work.

Anyway;
I'm trying to run ReShade with DayZSA, do old SweetFX settings work with it?

pastebin.com/37jM8tGW

It seems to call a compile error when I change it in sweet_fx settings

Please Log in or Create an account to join the conversation.

  • Posts: 3740
5 years 5 months ago #2 by crosire
Yeah, I noticed the website thing too. Still trying to fix it. =)

Old SweetFX settings do work, but only the original ones for InjectSMAA, not the ones for Boulotaurs injector as far as I know.
Which errors do you get?

Please Log in or Create an account to join the conversation.

  • Posts: 3
5 years 5 months ago #3 by imarceldoe
C:\Steam\steamapps\common\DayZ\/SweetFX\Shaders\Border.h(45, 109) : error X3000: syntax error, unexpected ) , expecting "," or ;
C:Steam/steamapps/common/DayZ/SweetFX/Shaders/ChromaticAberration,h(39, 75): error X3004: undeclared identifier 'Chromatic_shift'

Those are two I typed out. By the way the \/ isn't a typo, that's how it shows in the log for some reason.

Is there a log file somewhere?

Please Log in or Create an account to join the conversation.

  • Posts: 3740
5 years 5 months ago #4 by crosire
The full log including those errors is in "d3d9.log" (in case of Direct3D9, which I think DayZ uses). Oh and that V is actually "\" + "/" which is in there because of path concatenation, nothing to worry about =)
Looks to me like the preset you are using is missing some defines used in the newer shaders ...
The following user(s) said Thank You: imarceldoe

Please Log in or Create an account to join the conversation.

  • Posts: 3
5 years 5 months ago #5 by imarceldoe

crosire wrote: The full log including those errors is in "d3d9.log" (in case of Direct3D9, which I think DayZ uses). Oh and that V is actually "\" + "/" which is in there because of path concatenation, nothing to worry about =)
Looks to me like the preset you are using is missing some defines used in the newer shaders ...


Is there anyway I could fix this by running an old SweetFX with Reshade somehow? :(

Please Log in or Create an account to join the conversation.

  • Posts: 3740
5 years 5 months ago - 5 years 5 months ago #6 by crosire
ReShade has its own shader language (based on HLSL, so it looks similar, but still works different). This means SweetFX had to be completly rewritten for ReShade, thus 2.0. So it's not possible to run an older version.
But. SweetFX is backward compatible, so normal presets from older version still work fine with 2.0. It looks to me like your preset there wasn't made for normal SweetFX though, it has several options indicating it was made for Boulotaurs injector (see the last lines at the bottom) and I don't know about the compatibility there, doesn't look so good with those compiler errors =)

Please Log in or Create an account to join the conversation.